Skip to content
Last updated

Permission sets

api-version: 1.0

Get the permission set data

GET  /{collectionId}/{storageId}/_api/rest/permissions/permissionsets/{Id}

Parameters

NameInRequiredTypeDescription
collectionIdpathtruestringThe ID of the storage collection.
storageIdpathtruestringThe ID of the tenant.
IdpathtruestringThe ID of the permission set

Responses

Success 200

NameTypeDescription
countintegerThe number of returned values.
valuesPermissionSetsPermissionThe permission sets permission.

Error 4xx

NameTypeDescription
messagestringThe error message.
outputOperationResultOutputThe result output.
typeOperationResultTypeThe result type.
dataOperationErrorThe list of errors.

Examples

Get the list of facets

Request

GET https://demo.symbioworld.com/pz/showcase/_api/rest/permissions/permissionsets/7dd2a8fd-e262-494b-86b4-54ed74681d21

Response (200 OK)

{
    "id": "7dd2a8fd-e262-494b-86b4-54ed74681d21",
    "users": [],
    "userGroups": [
        "1fe01960-8f0c-4423-928a-30782efd083d",
        "34b87d93-083a-48d0-8891-920ca6e51a3a"
    ]
}

Definitions

PermissionSetsPermission

NameTypeDescription
idstringThe id of the permission set
usergroupsList<string>The list of the groups Id's
usersList<string>The list of the users

OperationResultOutput

NameType
volatilestring
permanentstring
dialogstring
inlinestring

OperationResultType

NameType
criticalstring
errorstring
warningstring
successstring
unauthorizedstring

OperationError

NameTypeDescription
errorstringThe error message.